<!DOCTYPE html>
<html>
<head>
  <link rel="stylesheet" type="text/css" href="{{ url_for('static',filename='events.css') }}">
	<title>Documentation</title>
	<meta charset="utf-8">
</head>

<body>
 	<div class="main">

 	 <img src="{{ url_for('static',filename='image/logoresif.png') }}">

    <h1> Documentation </h1>
  	<div> 
	<p>&nbsp;&nbsp;Le webservice  <b>assembleddata</b>  donne accès aux archives d'évènements préassemblés du RAP et de RESIF.  Il permet de récupérer les formes d'ondes aux formats SAC et ASCII.</p>
	    </br>
    	<ol>
    	<li><b>Formats de sortie</b></li>
    	</br>
    	    &nbsp;&nbsp;Troix formats sont disponibles : <tt>archive </tt>,  <tt>text </tt>,  <tt>json </tt>
    	    <ul>
    	      <li>Format <tt>archive </tt>: Les évènements satisfaisant la réquête sont retournés au format zip. Ce dernier contient les formes d'ondes aux formats SAC et ASCII</li>
    	      <li>Format <tt>text </tt>: L' inventaire des évènements qui satisfont la requête est retourné comme suit :</p>
    	       <tt>collector| event_name | latitude | longitude | depth | magnitude | magtype |description| agency | pga  </tt></p>
    	       </li>
    	      <li>Format <tt>json </tt>: Les mêmes informations que ci-dessus, mais en format json </li>
    	    </ul>
    	    </br>
        <li><b>Description des paramètres</b></li>
            </br>

 			&nbsp;Les évènements  peuvent être récupérés soit en précisant le nom de l'événement (ici : une chaîne de caractères qui correspond à la date de l'évèvement) soit en appliquant un filtrage.</br></br>

	         	&nbsp;&nbsp;&nbsp;&nbsp; Pour obtenir un événement particulier il faut préciser son nom</br></br>

			   <table class="table2" >
			    	<thead>
			    		<tr>
			    			<th>Paramètre</th>
			    			<th>Description</th>
			    			<th>Défaut</th>
			    			<th>Obligatoire</th>
			    			<th>Format</th>
			    		</tr>
			    	</thead>
			    	<tbody>
			    		<tr>
			    			<td>name</td>
			    			<td>Le nom de l'événement</td>
			    			<td>NON</td>
			    			<td>OUI</td>
			    			<td> </td>
			    		</tr>
			    		<tr>
			    			<td>format</td>
			    			<td>le format de réponse</td>
			    			<td>text</td>
			    			<td>NON</td>
			    			<td>text/json/archive</td>
			    		</tr>
			    	</tbody>
			    </table>
            </br>
			 </br>

				&nbsp;&nbsp;&nbsp;&nbsp;Plusieurs archives peuvent être récupérées selon les filtres appliqués sur une durée d'un mois en maximum. </p>

			    <table class="table2">
			    	<thead>
			    		<tr>
			    			<th>Paramètre</th>
			    			<th>Description</th>
			    			<th>Défaut</th>
			    			<th>Obligatoire</th>
			    			<th>Format/valeurs possible</th>
			    		</tr>
			    	</thead>
			    	<tbody>
			    		<tr>
			    			<td>collector</td>
			    			<td>Le collecteur de l'événement</td>
			    			<td>RAP et RESIF</td>
			    			<td>NON</td>
			    			<td>RAP/RESIF</td>
			    		</tr>
			    		<tr>
			    			<td>after</td>
			    			<td>La date minimale </td>
			    			<td>NON</td>
			    			<td>OUI</td>
			    			<td> ''YYYY-MM-DDTHH:MM:SS.ssssss'', 
			    				''YYYY-­MM-DDTHH:MM:SS'',
			    			   ''YYYY­‐MM-­DD ''</td>
			    		</tr>
			    		<tr>
			    			<td>before</td>
			    			<td>La date maximale </td>
			    			<td>NON</td>
			    			<td>OUI</td>
			    			<td> ''YYYY-MM-DDTHH:MM:SS.ssssss'', 
			    				 ''YYYY-­MM-DDTHH:MM:SS'',
			    			     ''YYYY­‐MM-­DD ''</td>
			    		</tr>
			    	    <tr>
			    			<td>minlatitude</td>
			    			<td>Les événements dont la latitude est supérieure ou égale au minimum spécifié</td>
			    			<td>NON</td>
			    			<td>NON</td>
			    			<td>[-90,90]</td>
			    		</tr>
			    	    <tr>
			    			<td>maxlatitude</td>
			    			<td>Les événements dont la latitude est inférieure ou égale au maximum spécifié</td>
			    			<td>NON</td>
			    			<td>NON</td>
			    			<td>[-90,90]</td>
			    		</tr>
			    		<tr>
			    			<td>minlongitude</td>
			    			<td>Les événements dont la longitude est supérieure ou égale au minimum spécifié</td>
			    			<td>NON</td>
			    			<td>NON</td>
			    			<td>[-180,180]</td>
			    		</tr>
			    		<tr>
			    			<td>maxlongitude</td>
			    			<td>Les événements dont la longitude est inférieure ou égale au maximum spécifié</td>
			    			<td>NON</td>
			    			<td>NON</td>
			    			<td>[-180,180]</td>
			    		</tr>
			    		<tr>
			    			<td>minmagnitude</td>
			    			<td>Les événements dont la magnitude est supérieure ou égale au minimum spécifié</td>
			    			<td>NON</td>
			    			<td>NON</td>
			    			<td> </td>
			    		</tr>
			    		<tr>
			    			<td>maxmagnitude</td>
			    			<td>Les événements dont la magnitude est inférieure ou égale au maximum spécifié</td>
			    			<td>NON</td>
			    			<td>NON</td>
			    			<td> </td>
			    		</tr>
			    	    <tr>
			    			<td>mindepth</td>
			    			<td>Les événements dont la profondeur est supérieure ou égale au minimum spécifié</td>
			    			<td>NON</td>
			    			<td>NON</td>
			    			<td>   </td>
			    		</tr>
			    		<tr>
			    			<td>maxdepth</td>
			    			<td>Les événements dont la profondeur est inférieure ou égale au maximum spécifié</td>
			    			<td>NON</td>
			    			<td>NON</td>
			    			<td>  </td>
			    		</tr>
			    		<tr>
			    			<td>agency</td>
			    			<td>Le nom de l'organisme qui a localisé l'événement</td>
			    			<td>NON</td>
			    			<td>NON</td>
			    			<td>NON </td>
			    		</tr>
			    		<tr>
			    			<td>format</td>
			    			<td>Le format de réponse</td>
			    			<td>text</td>
			    			<td>NON</td>
			    			<td>text/json/archive</td>
			    		</tr>
			    	</tbody>
			    </table>
			</br>
    <li> <b>HTTP status codes</b></li>

    Table below includes a list status codes returned by webservice. These codes should be used by end-user to check if a request was successful.
        <table class="table2">
            <thead>
              <tr>
                <th>Code</th>
                <th>Description</th>
              </tr>
            </thead>
            <tbody>
              <tr>
                <td>200</td>
                <td>Sucessfull request, result follow</td>
              </tr>
              <tr>
                <td>201</td>
                <td>Request was properly formatted and submitted but no data matches the selection</td>
              </tr>
              <tr>
                <td>400</td>
                <td>Bad request due ti imporoper specification, unrecognized parameter, etc</td>
              </tr>
              <tr>
                <td>203</td>
                <td>Request would result in too much data being returned or the request itself is too large</td>
              </tr>
              <tr>
                <td>500</td>
                <td>Internal Server Error</td>
              </tr>
            </tbody>
          </table>    

        </lo>
        </br>
     	<li> <b>Exemples </b></li>
     		<ul>
     			</br><li> Récupérer l'inventaire des évènements  du mois de janvier 2018 avec une profondeur minimale de -15</br>
     				<a href="http://ws.resif.fr/extend/assembleddata/1/query?before=2018-01-31&after=2018-01-01&mindepth=-15">http://ws.resif.fr/extend/assembleddata/1/query?before=2018-01-31&after=2018-01-01&mindepth=-15</a>
     			</li>
     			<br><li> Récupérer une archive en précisant son nom:</br>
     			    <a href="http://ws.resif.fr/extend/assembleddata/1/query?name=2017.10.24T20:47:11&format=archive">http://ws.resif.fr/extend/assembleddata/1/query?name=2017.10.24T20:47:11&format=archive</a></li>

     			<br><li> Récupérer les évènements du RAP pour le mois de mars 2016 
     				<a href="http://ws.resif.fr/extend/assembleddata/1/query?before=2016-03-31&after=2016-03-01&collector=RAP&format=archive"></br>http://ws.resif.fr/extend/assembleddata/1/query?before=2016-03-31&after=2016-03-01&collector=RAP&format=archive</a></li>
     			<br><li> Vous pouvez utiliser <b>wget</b> ou <b>curl</b> depuis une invite de commande </li></br>
     				<ul>
     				<li><b>wget</b>  --output-document=Montest.zip 'http://ws.resif.fr/extend/assembleddata/1/query?name=2017.10.24T20:47:11&format=archive'</br></li>
     				<li><b>curl</b> 'http://ws.resif.fr/extend/assembleddata/1/query?name=2017.10.24T20:47:11&format=archive' -o  Montest.zip</br></li>
     			</ul>
     			</li>
     		</ul>
        </br>
        </div>

</body>
</html>